Bug 180297 - New port: textproc/p5-Text-Hyphen
Summary: New port: textproc/p5-Text-Hyphen
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-05 13:10 UTC by Anes Mukhametov
Modified: 2013-09-22 19:34 UTC (History)
0 users

See Also:


Attachments
p5-Text-Hyphen.shar (1.90 KB, text/plain)
2013-07-05 13:10 UTC, Anes Mukhametov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anes Mukhametov 2013-07-05 13:10:01 UTC
	New port: textproc/p5-Text-Hyphen	
	This module implements Knuth-Liang algorithm to find positions inside words where it is possible to insert hyphens to break a line.
Comment 1 Edwin Groothuis freebsd_committer 2013-07-05 13:10:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-17 22:56:03 UTC
Responsible Changed
From-To: perl->miwi

I'll take it.
Comment 3 Bryan Drewery freebsd_committer 2013-09-22 15:09:43 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 4 Po-Chuan Hsieh freebsd_committer 2013-09-22 18:20:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I'll take it.
Comment 5 dfilter service freebsd_committer 2013-09-22 18:59:45 UTC
Author: sunpoet
Date: Sun Sep 22 17:59:36 2013
New Revision: 327883
URL: http://svnweb.freebsd.org/changeset/ports/327883

Log:
  - Add p5-Text-Hyphen 0.11
  - While I'm here, add LICENSE and NO_STAGE
  
  Determine positions for hyphens inside words
  This module implements Knuth-Liang algorithm to find positions
  inside words where it is possible to insert hyphens to break a line.
  
  WWW: http://search.cpan.org/dist/Text-Hyphen/
  
  PR:		ports/180297
  Submitted by:	Anes Mukhametov <anes@anes.su>

Added:
  head/textproc/p5-Text-Hyphen/
  head/textproc/p5-Text-Hyphen/Makefile   (contents, props changed)
  head/textproc/p5-Text-Hyphen/distinfo   (contents, props changed)
  head/textproc/p5-Text-Hyphen/pkg-descr   (contents, props changed)
  head/textproc/p5-Text-Hyphen/pkg-plist   (contents, props changed)
Modified:
  head/textproc/Makefile

Modified: head/textproc/Makefile
==============================================================================
--- head/textproc/Makefile	Sun Sep 22 17:58:30 2013	(r327882)
+++ head/textproc/Makefile	Sun Sep 22 17:59:36 2013	(r327883)
@@ -818,6 +818,7 @@
     SUBDIR += p5-Text-Hatena
     SUBDIR += p5-Text-Highlight
     SUBDIR += p5-Text-HikiDoc
+    SUBDIR += p5-Text-Hyphen
     SUBDIR += p5-Text-Language-Guess
     SUBDIR += p5-Text-Lorem
     SUBDIR += p5-Text-Markdown

Added: head/textproc/p5-Text-Hyphen/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/p5-Text-Hyphen/Makefile	Sun Sep 22 17:59:36 2013	(r327883)
@@ -0,0 +1,21 @@
+# Created by: Anes Mukhametov <anes@anes.su>
+# $FreeBSD$
+
+PORTNAME=	Text-Hyphen
+PORTVERSION=	0.11
+CATEGORIES=	textproc perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	anes@anes.su
+COMMENT=	Determine positions for hyphens inside words
+
+LICENSE=	BSD
+
+NO_STAGE=	yes
+USE_PERL5=	configure
+USES=		perl5
+
+MAN3=		Text::Hyphen.3
+
+.include <bsd.port.mk>

Added: head/textproc/p5-Text-Hyphen/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/p5-Text-Hyphen/distinfo	Sun Sep 22 17:59:36 2013	(r327883)
@@ -0,0 +1,2 @@
+SHA256 (Text-Hyphen-0.11.tar.gz) = 4dcc4fb12d1fc64625e56078d3dcaef26e719ec0f7f5105c575e31a53a2fdae5
+SIZE (Text-Hyphen-0.11.tar.gz) = 30903

Added: head/textproc/p5-Text-Hyphen/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/p5-Text-Hyphen/pkg-descr	Sun Sep 22 17:59:36 2013	(r327883)
@@ -0,0 +1,5 @@
+Determine positions for hyphens inside words
+This module implements Knuth-Liang algorithm to find positions
+inside words where it is possible to insert hyphens to break a line.
+
+WWW: http://search.cpan.org/dist/Text-Hyphen/

Added: head/textproc/p5-Text-Hyphen/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/p5-Text-Hyphen/pkg-plist	Sun Sep 22 17:59:36 2013	(r327883)
@@ -0,0 +1,5 @@
+%%SITE_PERL%%/Text/Hyphen.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Text/Hyphen/.packlist
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Text/Hyphen
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Text
+@dirrmtry %%SITE_PERL%%/Text
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Po-Chuan Hsieh freebsd_committer 2013-09-22 19:34:20 UTC
State Changed
From-To: open->closed

New port added. Thanks!